Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssCube

All Superinterfaces:
  IEssAppComponent, IEssBaseObject, IEssExtendedObject, IEssProperties, IEssSubstitutionVariables

public interface IEssCube
extends IEssExtendedObject, IEssProperties, IEssAppComponent, IEssSubstitutionVariables

The IEssCube is the olap cube.

Nested Class Summary
`static class` | `IEssCube.EEssCubeAccess` The EEssCubeAccess is an enumeration of cube access levels.
`static class` | `IEssCube.EEssCubeType` The EEssCubeType class.
`static class` | `IEssCube.EEssCurrencyConversionType` The EEssCurrencyConversionType class.
`static class` | `IEssCube.EEssDataLevel` The EEssDataLevel class is an enumeration of data level on export.
`static class` | `IEssCube.EEssDataLoadStatus` The EEssDataLoadStatus class.
`static class` | `IEssCube.EEssLoadStatus` The EEssLoadStatus class is an enumeration of Cube load status.
`static class` | `IEssCube.EEssRestructureOption` The EEssRestructureOption class is an enumeration of Cube restructure options.
`static interface` | `IEssCube.IEssCubeLock` The IEssCubeLock interface provides information about the data blocks exclusively locked.
`static interface` | `IEssCube.IEssSecurityFilter` The IEssSecurityFilter is cube security filter.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Nested classes inherited from class com.essbase.api.domain.IEssAppComponent
`IEssAppComponent.EEssAppComponentType`

Field Summary
`static int` | `PROP_ACTUAL_BLOCK_SIZE`
`static int` | `PROP_ACTUAL_MAX_BLOCKS`
`static int` | `PROP_APPLICATION_NAME`
`static int` | `PROP_BLOCK_DENSITY`
`static int` | `PROP_CALC_CREATE_BLOCK`
`static int` | `PROP_COMPRESSION_RATIO`
`static int` | `PROP_COUNT_OF_DIMENSIONS`
`static int` | `PROP_COUNT_OF_INMEM_COMPRESSED_BLOCKS`
`static int` | `PROP_COUNT_OF_LOCKS`
`static int` | `PROP_COUNT_OF_NON_MISSING_NON_LEAF_BLOCKS`
`static int` | `PROP_COUNT_OF_USERS_CONNECTED`
`static int` | `PROP_CUBE_ACCESS`
`static int` | `PROP_CUBE_LOAD_STATUS`
`static int` | `PROP_CUBE_TYPE`
`static int` | `PROP_CURRENCY_CATEGORY_MEMBER`
`static int` | `PROP_CURRENCY_CONV_TYPE`
`static int` | `PROP_CURRENCY_CONV_TYPE_MEMBER_NAME`
`static int` | `PROP_CURRENCY_COUNTRY_MEMBER`
`static int` | `PROP_CURRENCY_CUBE_NAME`
`static int` | `PROP_CURRENCY_PARTITION_MEMBER`
`static int` | `PROP_CURRENCY_TIME_MEMBER`
`static int` | `PROP_CURRENCY_TYPE_MEMBER`
`static int` | `PROP_DATA_CACHE_SIZE`
`static int` | `PROP_DATA_COMPRESS`
`static int` | `PROP_DATA_LOAD_STATUS`
`static int` | `PROP_DECLARED_BLOCK_SIZE`
`static int` | `PROP_DECLARED_MAX_BLOCKS`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_ELAPSED_CUBE_TIME`
`static int` | `PROP_EXCLUSIVE_LOCK_COUNT`
`static int` | `PROP_INDEX_CACHE_SIZE`
`static int` | `PROP_INDEX_PAGE_SIZE`
`static int` | `PROP_IS_AUTOLOAD`
`static int` | `PROP_IS_CALC_NO_AGG_MISSING`
`static int` | `PROP_IS_CALC_NO_AVG_MISSING`
`static int` | `PROP_IS_CALC_TWO_PASS`
`static int` | `PROP_IS_LODABLE`
`static int` | `PROP_MAX_MEM_NON_COMP_BLOCKS`
`static int` | `PROP_NAME`
`static int` | `PROP_NON_EXCLUSIVE_LOCK_COUNT`
`static int` | `PROP_NON_MISSING_LEAF_BLOCKS`
`static int` | `PROP_PAGED_IN_BLOCKS`
`static int` | `PROP_PAGED_OUT_BLOCKS`
`static int` | `PROP_SPARSE_DENSITY`
`static int` | `PROP_TOTAL_BLOCKS`
`static int` | `PROP_TOTAL_MEMORY_ALL_BLOCKS`
`static int` | `PROP_TOTAL_MEMORY_FOR_INDEX`
`static int` | `PROP_TOTAL_MEMORY_FOR_INMEM_COMPRESSED_BLOCKS`
`static int` | `PROP_TOTAL_MEMORY_PAGED_IN_BLOCKS`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `archiveBegin(java.lang.String archFileName)` Prepares this cube for archive by setting read-only status.
`void` | `archiveEnd()` After archive, returns cube status to read-write.
`void` | `buildDimension(java.lang.String rulesFileName, int rulesFileType, java.lang.String dataFileName, int dataFileType, java.lang.String errOutFile)` Allows the addition or removal of members from the outline in the active cube from a data file and rules file.
`void` | `calculate()` Executes the default calculation for this cube.
`void` | `calculate(boolean syntaxCheckOnly, java.lang.String calcFileNamePrefix)` Executes a calc script against the active database from a file.
`void` | `calculate(java.lang.String calcScript, boolean syntaxCheckOnly)` Sends and optionally executes a calc script against this active cube as a single string.
`void` | `clearActive()` Clears the currently active application and cube for the instance of the IEssOlapServer object (which is parent of parent to this object).
`void` | `clearAllData()` Clears all loaded data in the active cube.
`IEssCube` | `copy(java.lang.String newCubeName, IEssOlapApplication destApp)` Copies this cube to a new cube, including all associated objects and also starts the new cube.
`void` | `copyOlapFileObject(int objType, java.lang.String objName, java.lang.String destAppName, java.lang.String destCubeName, java.lang.String destObjName)` Copies an olap file object.
`void` | `copyOlapFileObjectFromServer(int objType, java.lang.String objName, java.lang.String clientFileName, boolean lock)` Copies an object from the olap server to a client file and optionally locks the server object to prevent updates by others.
`void` | `copyOlapFileObjectToServer(int objType, java.lang.String objName, java.lang.String clientFileName, boolean unlock)` Copies an object from a client file to the olap server, and optionally unlocks the server object to allow updates by others.
`void` | `createCDF(java.lang.String appName, java.lang.String name, java.lang.String javaSpec, int options, java.lang.String spec, java.lang.String comment)` Creates custom defined function.
`void` | `createCDM(java.lang.String appName, java.lang.String name, java.lang.String definition, java.lang.String signature, java.lang.String spec, java.lang.String comment)` Creates custom defined macro.
`void` | `createLocationAlias(java.lang.String aliasName, java.lang.String hostName, java.lang.String appName, java.lang.String cubeName, java.lang.String userName, java.lang.String password)` Creates a new location alias; that is, it maps an alias name string to an ordered set of the following five strings: host name, application name, database name, user login name, and user password.
`void` | `createOlapFileObject(int objType, java.lang.String objName)` Creates a new olap file object.
`IEssCube.IEssSecurityFilter` | `createSecurityFilter(java.lang.String filterName)` Creates a security filter.
`void` | `delete()` Deletes this cube.
`void` | `deleteAliasTable(java.lang.String aliasTableName)` Removes an alias table from the active database.
`void` | `deleteAllAliasTables()` Clears all alias tables for the active cube.
`void` | `deleteCDF(java.lang.String appName, java.lang.String name)` Deletes custom defined function.
`void` | `deleteCDM(java.lang.String appName, java.lang.String name)` Deletes custom defined macro.
`void` | `deleteLocationAlias(java.lang.String aliasName)` Deletes an existing location alias.
`void` | `deleteOlapFileObject(int objType, java.lang.String objName)` Delte an existing olap file object.
`void` | `deleteSecurityFilter(java.lang.String filterName)` Deletes a security filter.
`void` | `exportData(java.lang.String fileName, IEssCube.EEssDataLevel dataLevel, boolean columns)` Exports this cube's data to a text file.
`void` | `exportData(java.lang.String fileName, IEssCube.EEssDataLevel dataLevel, short columns)` Deprecated. Use the other exportData method.
`int` | `getActualBlockSize()` Gets the actual block size.
`double` | `getActualMaxBlocks()` Gets the actual maximum number of blocks in the Cube.
`java.lang.String[][]` | `getAliasTableEntries(java.lang.String aliasTableName)` Gets the contents of the specified alias table in the active database.
`java.lang.String` | `getAliasTableName()` Gets the active alias table name from the active database for a user.
`java.lang.String[]` | `getAliasTableNames()` Gets all the alias table names in this cube.
`IEssOlapApplication` | `getApplication()` Gets the parent application.
`java.lang.String` | `getApplicationName()` Gets the parent application name.
`java.lang.String[][]` | `getAssociatedAttributes(java.lang.String baseMbrName, java.lang.String attrDimName)` Gets the attribute members associated with a given base member.
`double` | `getBlockDensity()` Gets the average Cube block density (calculated using all currently loaded blocks).
`java.lang.String` | `getCalcFunctions()` Gets all calculator functions available in the application.
`java.lang.String[][]` | `getCDM_CDF(java.lang.String appName)` Gets custom defined functions/macros.
`double` | `getCompressionRatio()` Gets the average data block compression ratio on the disk.
`int` | `getCountDimensions()` Gets the number of dimensions in the cube.
`int` | `getCountLocks()` Gets the number of data blocks currently exclusively locked.
`int` | `getCountUsersConnected()` Gets the number of users currently connected to the cube.
`IEssCube.EEssCubeAccess` | `getCubeAccess()` Gets the cube access.
`IEssCube.EEssLoadStatus` | `getCubeLoadStatus()` Gets cube load status.
`IEssCube.EEssCubeType` | `getCubeType()` Gets the cube type.
`java.lang.String` | `getCurrencyCategoryMemberName()` Gets the currency category dimension member.
`IEssCube.EEssCurrencyConversionType` | `getCurrencyConvType()` Gets the currency conversion type (whether currency conversions are calculated by multiplication or division).
`java.lang.String` | `getCurrencyConvTypeMemberName()` Gets the name of currency conversion type member (valid in non-currency cubes).
`java.lang.String` | `getCurrencyCountryMemberName()` Gets the currency country dimension member.
`java.lang.String` | `getCurrencyCubeName()` The name of associated currency cube (valid in non-currency Cubes).
`java.lang.String` | `getCurrencyPartitionMemberName()` Gets the currency partition member (non-currency cube only).
`java.lang.String` | `getCurrencyTimeMemberName()` Gets the currency time dimension member name.
`java.lang.String` | `getCurrencyTypeMemberName()` Gets the currency type dimension member (currency cube only).
`int` | `getDataCacheSize()` Gets the run-time data cache size (in Kbytes) currently in use by cube.
`IEssCube.EEssDataLoadStatus` | `getDataLoadStatus()` Gets loading state of the data in the cube.
`int` | `getDeclaredBlockSize()` Gets the declared data block size.
`double` | `getDeclaredMaxBlocks()` Gets the declared maximum number of blocks in the Cube.
`int` | `getDefaultAccessLevel()` Gets the default access level to the cube.
`java.lang.String` | `getDefaultCalcScript()` Gets the default calc script for this active cube.
`java.lang.String` | `getDescription()` Gets the cube description.
`IEssDimension` | `getDimension(java.lang.String dimName)` Gets the dimension.
`IEssIterator` | `getDimensions()` Gets the list of dimensions.
`int` | `getElapsedCubeTime()` Gets the number of seconds the cube has been loaded.
`double` | `getExclusiveLockCount()` Gets the number of cube blocks currently exclusively locked.
`int` | `getIndexCacheSize()` Gets the index cache size.
`int` | `getIndexPageSize()` Gets the size of index page in which buffer pool is constructed in (in bytes).
`double` | `getInMemCompBlocks()` Gets the number of Cube blocks currently paged into compressed memory.
`java.lang.String[][]` | `getLocationAliases()` Gets a list of all currently defined location aliases, together with lists of the host names, application names, database names and user names to which the location aliases are mapped.
`IEssIterator` | `getLocks()` Get the list of locks held on a cube.
`int` | `getMaxMemNonCompBlocks()` Gets the maximum memory reserved for non-compressed data blocks in the cube(in bytes).
`IEssMember` | `getMember(java.lang.String mbrName)` Gets the member.
`java.lang.String[]` | `getMemberCalc(java.lang.String mbrName)` Gets the calc equation for a specific member in the active cube outline.
`java.lang.String` | `getName()` Gets the cube name.
`double` | `getNonExclusiveLockCount()` Gets the number of cube blocks currently non-exclusively locked.
`double` | `getNonMissingLeafBlocks()` Gets the number of non-missing leaf (lowest level) blocks in the cube.
`double` | `getNonMissingNonLeafBlocks()` Gets the number of non-missing, non-leaf (upper level) blocks in the cube.
`java.lang.String` | `getNoteOfTheDay()` Gets this cube's note-of-the-day message.
`IEssOlapFileObject` | `getOlapFileObject(int objType, java.lang.String objName)` Gets information about a specified olap store file object.
`IEssIterator` | `getOlapFileObjects(int objType)` Gets all the olap store file objects of the types specified.
`IEssIterator` | `getOpenCubeViews()` Gets the list of open cube views.
`IEssCubeOutline` | `getOutline()` Deprecated. This method is replaced by openOutline() method.
`double` | `getPagedInBlocks()` Gets the total number of cube blocks currently paged into memory.
`double` | `getPagedOutBlocks()` Gets the number of cube blocks currently paged out to disk.
`java.lang.String` | `getPerformanceStatistics()` Gets the performance statistics.
`IEssCube.IEssSecurityFilter` | `getSecurityFilter(java.lang.String filterName)` Gets the security filter.
`IEssIterator` | `getSecurityFilters()` Gets all the security filters.
`double` | `getSparseDensity()` Gets the average density of the sparse dimensions in the Cube.
`double` | `getTotalBlocks()` Gets the total number of existing data blocks (not the maximum).
`double` | `getTotMemBlocks()` Gets the total memory used for all Cube blocks.
`double` | `getTotMemIndex()` Gets the total memory used for the cube index.
`double` | `getTotMemInMemCompBlocks()` Gets the total memory used for Cube blocks currently paged into compressed memory.
`double` | `getTotMemPagedInBlocks()` Gets the total memory used for all paged-in (uncompressed) cube blocks.
`IEssCube.EEssCubeAccess` | `getUserOrGroupAccess(java.lang.String userOrGroupName)` Gets the user or group access for this cube.
`boolean` | `isActive()` Checks if this cube is currently active for the instance of the IEssOlapServer object (which is parent of parent to this object).
`boolean` | `isAutoLoad()` Checks if the Cube will be loaded automatically be loaded when the application is started.
`boolean` | `isCalcCreateBlock()` Checks if to force creation of data block on constant assignment calc equation (only valid for sparse dimensions).
`boolean` | `isCalcNoAggMissing()` Checks flag to suppress aggregation of members if all their children are missing.
`boolean` | `isCalcNoAvgMissing()` Checks if to suppress inclusion of missing members in calculating averages (true if missing values are not included).
`boolean` | `isCalcTwoPass()` Checks if to force two pass calculation when running full calculation of the cube.
`boolean` | `isDataCompress()` Checks flag to determine whether to compress blocks for this Cube.
`boolean` | `isLoadable()` Checks if the cube can be loaded/started.
`boolean` | `isSpanRelationalSource()` Checks if span relational source flag is set or not.
`boolean` | `isValidMember(java.lang.String mbrName)` Checks if a string is a valid member name within the active cube outline.
`void` | `loadAliasTable(java.lang.String aliasTableName, java.lang.String fileName)` Loads an alias table for the active database from a structured text file.
`void` | `loadData(boolean store, boolean unlock, java.lang.String updSpec)` Updates data to cube from the specification string.
`void` | `loadData(int rulesObjType, java.lang.String rulesFileName, int dataObjType, java.lang.String dataFileName, boolean abortOnError)` Allows the importing of data from text files to this cube.
`java.lang.String[][]` | `loadData(java.lang.String updateSpecs, int rulesObjType, java.lang.String rulesFileName, boolean syntaxCheckOnly, boolean unlockAfterUpdate, boolean abortOnError)` Updates data to the cube from the specified update specification string.
`void` | `lockOlapFileObject(int objType, java.lang.String objName)` Locks an object on the server to prevent other users from updating it.
`IEssCubeView` | `openCubeView(java.lang.String name)` Opens a cube view.
`IEssCubeView` | `openCubeView(java.lang.String name, boolean useConnPool, boolean connPerOp, boolean useCluster, boolean readOnly)` Opens a cube view.
`IEssMemberSelection` | `openMemberSelection(java.lang.String name)` Opens a member selection.
`IEssMemberSelection` | `openMemberSelection(java.lang.String name, boolean queryOverCache)` Opens a member selection.
`IEssCubeOutline` | `openOutline()` Opens the cube outline in read-only mode.
`IEssCubeOutline` | `openOutline(boolean readOnly, boolean lock, boolean keepTrans)` Opens the cube outline in read-only or read-write mode.
`java.lang.String` | `queryMembers(java.lang.String mbrQuery)` Performs a report-style query to list a selection of cube member information.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `rename(java.lang.String newCubeName)` Renames this cube.
`void` | `renameOlapFileObject(int objType, java.lang.String objName, java.lang.String newObjName)` Renames an existing olap file object.
`java.lang.String` | `report(boolean output, boolean lockForUpdate, java.lang.String reportFileName, boolean isLocalFile)` Sends a report specification to this active cube from a file.
`java.lang.String` | `report(java.lang.String reportSpec, boolean output, boolean lockForUpdate)` Sends a report specification to the active database as a single string.
`IEssSequentialIterator` | `report(java.lang.String reportSpecOrFileName, boolean isFileName, boolean isLocalFile, boolean output, boolean lockForUpdate)` Sends a report specification to the active database as a single string or from a file.
`void` | `resetPerformanceStatisticsTables(int persistence, int scope)` Resets values in the performance statistics tables to zero.
`void` | `setActive()` Sets this cube active for the instance of the IEssOlapServer object (which is parent of parent to this object).
`void` | `setAliasTableName(java.lang.String aliasTableName)` Sets the active alias table in the active database for a user.
`void` | `setAutoLoad(boolean autoLoad)` Sets whether the Cube will be loaded automatically when the application is started.
`void` | `setCalcCreateBlock(boolean value)` Sets flag to force creation of data block on constant assignment calc equation (only valid for sparse dimensions).
`void` | `setCalcNoAggMissing(boolean value)` Sets to suppress aggregation of members if all their children are missing.
`void` | `setCalcNoAvgMissing(boolean value)` Sets to suppress inclusion of missing members in calculating averages.
`void` | `setCalcTwoPass(boolean twoPass)` Sets to force two pass calculation when running full calculation of cube.
`void` | `setCubeAccess(IEssCube.EEssCubeAccess access)` Sets the cube access.
`void` | `setCurrencyConvType(IEssCube.EEssCurrencyConversionType convType)` Sets the currency conversion type (whether currency conversions are calculated by multiplication or division).
`void` | `setCurrencyConvTypeMemberName(java.lang.String mbrName)` Sets the name of currency conversion type member (valid in non-currency cubes).
`void` | `setCurrencyCubeName(java.lang.String dbName)` Sets the name of associated currency cube (valid in non-currency cCubes).
`void` | `setDataCompress(boolean dataCompress)` Sets flag to determine whether to compress blocks for this cube.
`void` | `setDefaultAccessLevel(int accessLevel)` Sets the default access level to the cube.
`void` | `setDefaultCalcScript(boolean isFileName, java.lang.String defCalcScriptOrFile)` Sets the default calc script for this active cube.
`void` | `setDescription(java.lang.String desc)` Sets the cube description.
`void` | `setIndexPageSize(int size)` Sets the size of index page in which buffer pool is constructed in (in bytes).
`void` | `setLoadable(boolean lodable)` Sets if the cube can be loaded/started.
`void` | `setMaxMemNonCompBlocks(int memSize)` Sets the maximum memory reserved for non-compressed data blocks in the cube(in bytes).
`void` | `setNoteOfTheDay(java.lang.String note)` Sets this cube's note-of-the-day message.
`void` | `setSpanRelationalSource(boolean span)` Sets (or clears) an intenal boolean field informing essbase that pertinent data exists (or not exists) in an attached relational store.
`void` | `setUserOrGroupAccess(java.lang.String userOrGroupName, IEssCube.EEssCubeAccess access)` Sets the user or group access for this cube.
`void` | `start()` Starts/Loads a cube within an Application on the server.
`void` | `stop()` Stops/Unloads a cube within an application on the server.
`void` | `unlockOlapFileObject(int objType, java.lang.String objName)` Unlocks a locked object on the server.
`void` | `updatePropertyValues()` Updates the property values.
`void` | `validateCube(java.lang.String errLogFileName)` Checks the cube for data integrity.
`boolean` | `verifyFormula(java.lang.String formulaName)` Verified the formula.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Methods inherited from interface com.essbase.api.domain.IEssAppComponent
`getAppComponentType`

Methods inherited from interface com.essbase.api.datasource.IEssSubstitutionVariables
`createSubstitutionVariable, deleteSubstitutionVariable, getSubstitutionVariables, getSubstitutionVariableValue`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_IS_LODABLE

    public static final int PROP_IS_LODABLE

See Also:
  Constant Field Values

### PROP_IS_AUTOLOAD

    public static final int PROP_IS_AUTOLOAD

See Also:
  Constant Field Values

### PROP_CUBE_ACCESS

    public static final int PROP_CUBE_ACCESS

See Also:
  Constant Field Values

### PROP_MAX_MEM_NON_COMP_BLOCKS

    public static final int PROP_MAX_MEM_NON_COMP_BLOCKS

See Also:
  Constant Field Values

### PROP_IS_CALC_NO_AGG_MISSING

    public static final int PROP_IS_CALC_NO_AGG_MISSING

See Also:
  Constant Field Values

### PROP_IS_CALC_NO_AVG_MISSING

    public static final int PROP_IS_CALC_NO_AVG_MISSING

See Also:
  Constant Field Values

### PROP_IS_CALC_TWO_PASS

    public static final int PROP_IS_CALC_TWO_PASS

See Also:
  Constant Field Values

### PROP_DATA_COMPRESS

    public static final int PROP_DATA_COMPRESS

See Also:
  Constant Field Values

### PROP_CALC_CREATE_BLOCK

    public static final int PROP_CALC_CREATE_BLOCK

See Also:
  Constant Field Values

### PROP_CURRENCY_CUBE_NAME

    public static final int PROP_CURRENCY_CUBE_NAME

See Also:
  Constant Field Values

### PROP_CURRENCY_CONV_TYPE_MEMBER_NAME

    public static final int PROP_CURRENCY_CONV_TYPE_MEMBER_NAME

See Also:
  Constant Field Values

### PROP_CURRENCY_CONV_TYPE

    public static final int PROP_CURRENCY_CONV_TYPE

See Also:
  Constant Field Values

### PROP_INDEX_PAGE_SIZE

    public static final int PROP_INDEX_PAGE_SIZE

See Also:
  Constant Field Values

### PROP_INDEX_CACHE_SIZE

    public static final int PROP_INDEX_CACHE_SIZE

See Also:
  Constant Field Values

### PROP_APPLICATION_NAME

    public static final int PROP_APPLICATION_NAME

See Also:
  Constant Field Values

### PROP_CUBE_TYPE

    public static final int PROP_CUBE_TYPE

See Also:
  Constant Field Values

### PROP_CUBE_LOAD_STATUS

    public static final int PROP_CUBE_LOAD_STATUS

See Also:
  Constant Field Values

### PROP_COUNT_OF_USERS_CONNECTED

    public static final int PROP_COUNT_OF_USERS_CONNECTED

See Also:
  Constant Field Values

### PROP_COUNT_OF_LOCKS

    public static final int PROP_COUNT_OF_LOCKS

See Also:
  Constant Field Values

### PROP_COUNT_OF_DIMENSIONS

    public static final int PROP_COUNT_OF_DIMENSIONS

See Also:
  Constant Field Values

### PROP_DATA_LOAD_STATUS

    public static final int PROP_DATA_LOAD_STATUS

See Also:
  Constant Field Values

### PROP_ELAPSED_CUBE_TIME

    public static final int PROP_ELAPSED_CUBE_TIME

See Also:
  Constant Field Values

### PROP_CURRENCY_COUNTRY_MEMBER

    public static final int PROP_CURRENCY_COUNTRY_MEMBER

See Also:
  Constant Field Values

### PROP_CURRENCY_TIME_MEMBER

    public static final int PROP_CURRENCY_TIME_MEMBER

See Also:
  Constant Field Values

### PROP_CURRENCY_CATEGORY_MEMBER

    public static final int PROP_CURRENCY_CATEGORY_MEMBER

See Also:
  Constant Field Values

### PROP_CURRENCY_PARTITION_MEMBER

    public static final int PROP_CURRENCY_PARTITION_MEMBER

See Also:
  Constant Field Values

### PROP_CURRENCY_TYPE_MEMBER

    public static final int PROP_CURRENCY_TYPE_MEMBER

See Also:
  Constant Field Values

### PROP_DATA_CACHE_SIZE

    public static final int PROP_DATA_CACHE_SIZE

See Also:
  Constant Field Values

### PROP_DECLARED_BLOCK_SIZE

    public static final int PROP_DECLARED_BLOCK_SIZE

See Also:
  Constant Field Values

### PROP_ACTUAL_BLOCK_SIZE

    public static final int PROP_ACTUAL_BLOCK_SIZE

See Also:
  Constant Field Values

### PROP_DECLARED_MAX_BLOCKS

    public static final int PROP_DECLARED_MAX_BLOCKS

See Also:
  Constant Field Values

### PROP_ACTUAL_MAX_BLOCKS

    public static final int PROP_ACTUAL_MAX_BLOCKS

See Also:
  Constant Field Values

### PROP_NON_MISSING_LEAF_BLOCKS

    public static final int PROP_NON_MISSING_LEAF_BLOCKS

See Also:
  Constant Field Values

### PROP_PAGED_OUT_BLOCKS

    public static final int PROP_PAGED_OUT_BLOCKS

See Also:
  Constant Field Values

### PROP_PAGED_IN_BLOCKS

    public static final int PROP_PAGED_IN_BLOCKS

See Also:
  Constant Field Values

### PROP_TOTAL_BLOCKS

    public static final int PROP_TOTAL_BLOCKS

See Also:
  Constant Field Values

### PROP_NON_EXCLUSIVE_LOCK_COUNT

    public static final int PROP_NON_EXCLUSIVE_LOCK_COUNT

See Also:
  Constant Field Values

### PROP_EXCLUSIVE_LOCK_COUNT

    public static final int PROP_EXCLUSIVE_LOCK_COUNT

See Also:
  Constant Field Values

### PROP_TOTAL_MEMORY_PAGED_IN_BLOCKS

    public static final int PROP_TOTAL_MEMORY_PAGED_IN_BLOCKS

See Also:
  Constant Field Values

### PROP_TOTAL_MEMORY_ALL_BLOCKS

    public static final int PROP_TOTAL_MEMORY_ALL_BLOCKS

See Also:
  Constant Field Values

### PROP_TOTAL_MEMORY_FOR_INDEX

    public static final int PROP_TOTAL_MEMORY_FOR_INDEX

See Also:
  Constant Field Values

### PROP_COUNT_OF_NON_MISSING_NON_LEAF_BLOCKS

    public static final int PROP_COUNT_OF_NON_MISSING_NON_LEAF_BLOCKS

See Also:
  Constant Field Values

### PROP_BLOCK_DENSITY

    public static final int PROP_BLOCK_DENSITY

See Also:
  Constant Field Values

### PROP_SPARSE_DENSITY

    public static final int PROP_SPARSE_DENSITY

See Also:
  Constant Field Values

### PROP_COMPRESSION_RATIO

    public static final int PROP_COMPRESSION_RATIO

See Also:
  Constant Field Values

### PROP_COUNT_OF_INMEM_COMPRESSED_BLOCKS

    public static final int PROP_COUNT_OF_INMEM_COMPRESSED_BLOCKS

See Also:
  Constant Field Values

### PROP_TOTAL_MEMORY_FOR_INMEM_COMPRESSED_BLOCKS

    public static final int PROP_TOTAL_MEMORY_FOR_INMEM_COMPRESSED_BLOCKS

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the cube name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The cube name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the cube description.

  Returns:
    The cube description.
  Throws:
    `EssException` - if an error occurs..

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the cube description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The cube description.
  Throws:
    `EssException` - if an error occurs..

### isLoadable

    public boolean isLoadable()
                       throws EssException

  Checks if the cube can be loaded/started.

  Returns:
    true if the cube is loadable.
  Throws:
    `EssException` - if an error occurs..

### setLoadable

    public void setLoadable(boolean lodable)
                     throws EssException

  Sets if the cube can be loaded/started. The change will become effective after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occurs..

### isAutoLoad

    public boolean isAutoLoad()
                       throws EssException

  Checks if the Cube will be loaded automatically be loaded when the application is started.

  Returns:
    true if the Cube will be automatically loaded.
  Throws:
    `EssException` - if an error occurs..

### setAutoLoad

    public void setAutoLoad(boolean autoLoad)
                     throws EssException

  Sets whether the Cube will be loaded automatically when the application is started. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `autoLoad` - true if the Cube will be automatically loaded.
  Throws:
    `EssException` - if an error occurs..

### getCubeAccess

    public IEssCube.EEssCubeAccess getCubeAccess()
                                          throws EssException

  Gets the cube access.

  Returns:
    The cube access.
  Throws:
    `EssException` - if an error occurs.

### setCubeAccess

    public void setCubeAccess(IEssCube.EEssCubeAccess access)
                       throws EssException

  Sets the cube access. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `access` - The cube access.
  Throws:
    `EssException` - if an error occurs.

### getMaxMemNonCompBlocks

    public int getMaxMemNonCompBlocks()
                               throws EssException

  Gets the maximum memory reserved for non-compressed data blocks in the cube(in bytes).

  Returns:
    The maximum memory reserved (in bytes).
  Throws:
    `EssException` - if an error occurs..

### setMaxMemNonCompBlocks

    public void setMaxMemNonCompBlocks(int memSize)
                                throws EssException

  Sets the maximum memory reserved for non-compressed data blocks in the cube(in bytes). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `memSize` - The maximum memory reserved (in bytes).
  Throws:
    `EssException` - if an error occurs..

### isCalcNoAggMissing

    public boolean isCalcNoAggMissing()
                               throws EssException

  Checks flag to suppress aggregation of members if all their children are missing.

  Returns:
    true if missing values are not aggregated.
  Throws:
    `EssException` - if an error occurs..

### setCalcNoAggMissing

    public void setCalcNoAggMissing(boolean value)
                             throws EssException

  Sets to suppress aggregation of members if all their children are missing. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `value` - true if missing values are not aggregated.
  Throws:
    `EssException` - if an error occurs..

### isCalcNoAvgMissing

    public boolean isCalcNoAvgMissing()
                               throws EssException

  Checks if to suppress inclusion of missing members in calculating averages (true if missing values are not included).

  Returns:
    true if missing values are not aggregated.
  Throws:
    `EssException` - if an error occurs..

### setCalcNoAvgMissing

    public void setCalcNoAvgMissing(boolean value)
                             throws EssException

  Sets to suppress inclusion of missing members in calculating averages. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `value` - true if missing values are not included.
  Throws:
    `EssException` - if an error occurs..

### isCalcTwoPass

    public boolean isCalcTwoPass()
                          throws EssException

  Checks if to force two pass calculation when running full calculation of the cube.

  Returns:
    true if two pass calculation is enabled.
  Throws:
    `EssException` - if an error occurs..

### setCalcTwoPass

    public void setCalcTwoPass(boolean twoPass)
                        throws EssException

  Sets to force two pass calculation when running full calculation of cube. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `twoPass` - true if two pass calculation is enabled.
  Throws:
    `EssException` - if an error occurs..

### isDataCompress

    public boolean isDataCompress()
                           throws EssException

  Checks flag to determine whether to compress blocks for this Cube.

  Returns:
    true is compress blocks is enabled.
  Throws:
    `EssException` - if an error occurs..

### setDataCompress

    public void setDataCompress(boolean dataCompress)
                         throws EssException

  Sets flag to determine whether to compress blocks for this cube. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `dataCompress` - true if compression is enabled.
  Throws:
    `EssException` - if an error occurs..

### isCalcCreateBlock

    public boolean isCalcCreateBlock()
                              throws EssException

  Checks if to force creation of data block on constant assignment calc equation (only valid for sparse dimensions).

  Returns:
    true if blocks are forcibly created.
  Throws:
    `EssException` - if an error occurs..

### setCalcCreateBlock

    public void setCalcCreateBlock(boolean value)
                            throws EssException

  Sets flag to force creation of data block on constant assignment calc equation (only valid for sparse dimensions). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `value` - true, if blocks are forcibly created.
  Throws:
    `EssException` - if an error occurs..

### getCurrencyCubeName

    public java.lang.String getCurrencyCubeName()
                                         throws EssException

  The name of associated currency cube (valid in non-currency Cubes).

  Returns:
    The currency Cube name.
  Throws:
    `EssException` - if an error occurs..

### setCurrencyCubeName

    public void setCurrencyCubeName(java.lang.String dbName)
                             throws EssException

  Sets the name of associated currency cube (valid in non-currency cCubes). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `dbName` - The currency cube name.
  Throws:
    `EssException` - if an error occurs..

### getCurrencyConvTypeMemberName

    public java.lang.String getCurrencyConvTypeMemberName()
                                                   throws EssException

  Gets the name of currency conversion type member (valid in non-currency cubes).

  Returns:
    The name of the currency conversion type member.
  Throws:
    `EssException` - if an error occurs..

### setCurrencyConvTypeMemberName

    public void setCurrencyConvTypeMemberName(java.lang.String mbrName)
                                       throws EssException

  Sets the name of currency conversion type member (valid in non-currency cubes). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `mbrName` - The currency conversion type member name.
  Throws:
    `EssException` - if an error occurs..

### getCurrencyConvType

    public IEssCube.EEssCurrencyConversionType getCurrencyConvType()
                                                            throws EssException

  Gets the currency conversion type (whether currency conversions are calculated by multiplication or division).

  Returns:
    The currency conversion type.
  Throws:
    `EssException` - if an error occurs..

### setCurrencyConvType

    public void setCurrencyConvType(IEssCube.EEssCurrencyConversionType convType)
                             throws EssException

  Sets the currency conversion type (whether currency conversions are calculated by multiplication or division). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `convType` - The currency conversion type.
  Throws:
    `EssException` - if an error occurs..

### getIndexPageSize

    public int getIndexPageSize()
                         throws EssException

  Gets the size of index page in which buffer pool is constructed in (in bytes).

  Returns:
    The index page size.
  Throws:
    `EssException` - if an error occurs..

### setIndexPageSize

    public void setIndexPageSize(int size)
                          throws EssException

  Sets the size of index page in which buffer pool is constructed in (in bytes). Minimum index page size is 1024 and the maximum is 8192. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `size` - The size of the index page (in bytes).
  Throws:
    `EssException` - if an error occurs..

### getIndexCacheSize

    public int getIndexCacheSize()
                          throws EssException

  Gets the index cache size.

  Returns:
    The index cache size.
  Throws:
    `EssException` - if an error occurs..

### getDefaultAccessLevel

    public int getDefaultAccessLevel()
                              throws EssException

  Gets the default access level to the cube.

  Returns:
    The default access level. Combination of valules from IEssCube.ESS_PRIV_* / IEssCube.ESS_ACCESS_*.
  Throws:
    `EssException` - if an error occurs.

### setDefaultAccessLevel

    public void setDefaultAccessLevel(int accessLevel)
                               throws EssException

  Sets the default access level to the cube. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `accessLevel` - The default access level. Combination of valules from IEssCube.ESS_PRIV_* / IEssCube.ESS_ACCESS_*.
  Throws:
    `EssException` - if an error occurs.

### getApplicationName

    public java.lang.String getApplicationName()
                                        throws EssException

  Gets the parent application name.

  Returns:
    The application name.
  Throws:
    `EssException` - if an error occurs.

### getCubeType

    public IEssCube.EEssCubeType getCubeType()
                                      throws EssException

  Gets the cube type.

  Returns:
    The cube type.
  Throws:
    `EssException` - if an error occurs..

### getCubeLoadStatus

    public IEssCube.EEssLoadStatus getCubeLoadStatus()
                                              throws EssException

  Gets cube load status.

  Returns:
    The cube load status.
  Throws:
    `EssException` - if an error occurs.

### getCountUsersConnected

    public int getCountUsersConnected()
                               throws EssException

  Gets the number of users currently connected to the cube.

  Returns:
    The number of users connected to the cube.
  Throws:
    `EssException` - if an error occurs.

### getCountLocks

    public int getCountLocks()
                      throws EssException

  Gets the number of data blocks currently exclusively locked.

  Returns:
    The number of data blocks exclusively locked.
  Throws:
    `EssException` - if an error occurs.

### getCountDimensions

    public int getCountDimensions()
                           throws EssException

  Gets the number of dimensions in the cube.

  Returns:
    The count of dimensions.
  Throws:
    `EssException` - if an error occurs.

### getDataLoadStatus

    public IEssCube.EEssDataLoadStatus getDataLoadStatus()
                                                  throws EssException

  Gets loading state of the data in the cube.

  Returns:
    The data load status.
  Throws:
    `EssException` - if an error occurs.

### getElapsedCubeTime

    public int getElapsedCubeTime()
                           throws EssException

  Gets the number of seconds the cube has been loaded.

  Returns:
    The elapsed dabase time (in seconds).
  Throws:
    `EssException` - if an error occurs.

### getCurrencyCountryMemberName

    public java.lang.String getCurrencyCountryMemberName()
                                                  throws EssException

  Gets the currency country dimension member.

  Returns:
    The currency country dimension member. null, if none.
  Throws:
    `EssException` - if an error occurs.

### getCurrencyTimeMemberName

    public java.lang.String getCurrencyTimeMemberName()
                                               throws EssException

  Gets the currency time dimension member name.

  Returns:
    The currency time dimension member name. null, if none.
  Throws:
    `EssException` - if an error occurs.

### getCurrencyCategoryMemberName

    public java.lang.String getCurrencyCategoryMemberName()
                                                   throws EssException

  Gets the currency category dimension member.

  Returns:
    The currency category dimension member. null if none.
  Throws:
    `EssException` - if an error occurs.

### getCurrencyPartitionMemberName

    public java.lang.String getCurrencyPartitionMemberName()
                                                    throws EssException

  Gets the currency partition member (non-currency cube only).

  Returns:
    The currency partition member name. null if none.
  Throws:
    `EssException` - if an error occurs.

### getCurrencyTypeMemberName

    public java.lang.String getCurrencyTypeMemberName()
                                               throws EssException

  Gets the currency type dimension member (currency cube only).

  Returns:
    The currency type member name. null if none exists.
  Throws:
    `EssException` - if an error occurs.

### getDataCacheSize

    public int getDataCacheSize()
                         throws EssException

  Gets the run-time data cache size (in Kbytes) currently in use by cube. Note that once you have changed the data cache size you must stop and restart the cube in order for the new data cache size to take effect.

  Returns:
    The data cache size (in Kbytes).
  Throws:
    `EssException` - if an error occurs.

### getDeclaredBlockSize

    public int getDeclaredBlockSize()
                             throws EssException

  Gets the declared data block size.

  Returns:
    The declared block size.
  Throws:
    `EssException` - if an error occurs.

### getActualBlockSize

    public int getActualBlockSize()
                           throws EssException

  Gets the actual block size.

  Returns:
    The actual block size.
  Throws:
    `EssException` - if an error occurs.

### getDeclaredMaxBlocks

    public double getDeclaredMaxBlocks()
                                throws EssException

  Gets the declared maximum number of blocks in the Cube.

  Returns:
    The declared maximum number of blocks.
  Throws:
    `EssException` - if an error occurs.

### getActualMaxBlocks

    public double getActualMaxBlocks()
                              throws EssException

  Gets the actual maximum number of blocks in the Cube.

  Returns:
    The actual maximum number of blocks.
  Throws:
    `EssException` - if an error occurs.

### getNonMissingLeafBlocks

    public double getNonMissingLeafBlocks()
                                   throws EssException

  Gets the number of non-missing leaf (lowest level) blocks in the cube.

  Returns:
    The number of non-missing leaf blocks.
  Throws:
    `EssException` - if an error occurs.

### getPagedOutBlocks

    public double getPagedOutBlocks()
                             throws EssException

  Gets the number of cube blocks currently paged out to disk.

  Returns:
    The number of paged out blocks.
  Throws:
    `EssException` - if an error occurs.

### getPagedInBlocks

    public double getPagedInBlocks()
                            throws EssException

  Gets the total number of cube blocks currently paged into memory.

  Returns:
    The count of paged in blocks.
  Throws:
    `EssException` - if an error occurs.

### getTotalBlocks

    public double getTotalBlocks()
                          throws EssException

  Gets the total number of existing data blocks (not the maximum).

  Returns:
    The count of total blocks.
  Throws:
    `EssException` - if an error occurs.

### getNonExclusiveLockCount

    public double getNonExclusiveLockCount()
                                    throws EssException

  Gets the number of cube blocks currently non-exclusively locked.

  Returns:
    The count of non-exclusively locked blocks.
  Throws:
    `EssException` - if an error occurs.

### getExclusiveLockCount

    public double getExclusiveLockCount()
                                 throws EssException

  Gets the number of cube blocks currently exclusively locked.

  Returns:
    The exclusive lock count.
  Throws:
    `EssException` - if an error occurs.

### getTotMemPagedInBlocks

    public double getTotMemPagedInBlocks()
                                  throws EssException

  Gets the total memory used for all paged-in (uncompressed) cube blocks.

  Returns:
    The total memory used for all paged-in blocks.
  Throws:
    `EssException` - if an error occurs.

### getTotMemBlocks

    public double getTotMemBlocks()
                           throws EssException

  Gets the total memory used for all Cube blocks.

  Returns:
    The total memory used for all Cube blocks.
  Throws:
    `EssException` - if an error occurs.

### getTotMemIndex

    public double getTotMemIndex()
                          throws EssException

  Gets the total memory used for the cube index.

  Returns:
    The total memory used for the Cube index.
  Throws:
    `EssException` - if an error occurs.

### getNonMissingNonLeafBlocks

    public double getNonMissingNonLeafBlocks()
                                      throws EssException

  Gets the number of non-missing, non-leaf (upper level) blocks in the cube.

  Returns:
    The number of non-missing, non-leaf blocks.
  Throws:
    `EssException` - if an error occurs.

### getBlockDensity

    public double getBlockDensity()
                           throws EssException

  Gets the average Cube block density (calculated using all currently loaded blocks).

  Returns:
    The block density.
  Throws:
    `EssException` - if an error occurs.

### getSparseDensity

    public double getSparseDensity()
                            throws EssException

  Gets the average density of the sparse dimensions in the Cube.

  Returns:
    The sparse density.
  Throws:
    `EssException` - if an error occurs.

### getCompressionRatio

    public double getCompressionRatio()
                               throws EssException

  Gets the average data block compression ratio on the disk.

  Returns:
    The compression ratio.
  Throws:
    `EssException` - if an error occurs.

### getInMemCompBlocks

    public double getInMemCompBlocks()
                              throws EssException

  Gets the number of Cube blocks currently paged into compressed memory.

  Returns:
    The number of Cube blocks.
  Throws:
    `EssException` - if an error occurs.

### getTotMemInMemCompBlocks

    public double getTotMemInMemCompBlocks()
                                    throws EssException

  Gets the total memory used for Cube blocks currently paged into compressed memory.

  Returns:
    The total memory used.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### getLocks

    public IEssIterator getLocks()
                          throws EssException

  Get the list of locks held on a cube.

  Returns:
    The cube locks (each of type IEssCube.IEssCubeLock).
  Throws:
    `EssException` - if an error occurs.

### getOutline

    public IEssCubeOutline getOutline()
                               throws EssException

  Deprecated. This method is replaced by openOutline() method.

  Gets the cube outline.

  Returns:
    The cube outline.
  Throws:
    `EssException` - if an error occurs.

### openOutline

    public IEssCubeOutline openOutline()
                                throws EssException

  Opens the cube outline in read-only mode.

  Returns:
    The cube outline.
  Throws:
    `EssException` - if an error occurs.

### openOutline

    public IEssCubeOutline openOutline(boolean readOnly,
                                       boolean lock,
                                       boolean keepTrans)
                                throws EssException

  Opens the cube outline in read-only or read-write mode.

  Parameters:
    `readOnly` - true to open the outline in read-only mode. false to open the outline in read-write mode.
    `lock` - true if the outline should be locked when it is opened in any mode.
    `keepTrans` - true to keep transactions. If you are opening an existing outline to make changes (readOnly == false), and you intend to restructure the cube and keep data, we recommend that you set this flag to true. When true, a log is kept of activities done to the outline. If you are starting from an empty outline or are not planning on saving data when you restructure, we recommend that you set this field to false. When false, no log is kept, saving time and memory.
  Returns:
    The cube outline.
  Throws:
    `EssException` - if an error occurs.

### openMemberSelection

    public IEssMemberSelection openMemberSelection(java.lang.String name)
                                            throws EssException

  Opens a member selection.

  Parameters:
    `name` - The name for the member selection.
  Returns:
    The member selection.
  Throws:
    `EssException` - if an error occurs.

### openMemberSelection

    public IEssMemberSelection openMemberSelection(java.lang.String name,
                                                   boolean queryOverCache)
                                            throws EssException

  Opens a member selection.

  Parameters:
    `name` - The name for the member selection.
    `queryOverCache` - true to query over EDS outline cache.
  Returns:
    The member selection.
  Throws:
    `EssException` - if an error occurs.

### copy

    public IEssCube copy(java.lang.String newCubeName,
                         IEssOlapApplication destApp)
                  throws EssException

  Copies this cube to a new cube, including all associated objects and also starts the new cube.

  Parameters:
    `destApp` - The destination application to copy to.
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this cube. If the cube is running, then it is first stopped.

  Throws:
    `EssException` - if an error occurs.

### rename

    public void rename(java.lang.String newCubeName)
                throws EssException

  Renames this cube.

  Throws:
    `EssException` - if an error occurs.

### getApplication

    public IEssOlapApplication getApplication()
                                       throws EssException

  Gets the parent application.

  Returns:
    The application.
  Throws:
    `EssException` - if an error occurs.

### openCubeView

    public IEssCubeView openCubeView(java.lang.String name)
                              throws EssException

  Opens a cube view.

  Parameters:
    `name` - The cube view name.
  Returns:
    The cube view.
  Throws:
    `EssException` - if an error occurs.

### openCubeView

    public IEssCubeView openCubeView(java.lang.String name,
                                     boolean useConnPool,
                                     boolean connPerOp,
                                     boolean useCluster,
                                     boolean readOnly)
                              throws EssException

  Opens a cube view. NOTE: Operations Update/Lock/Unlock are not currently allowed in connection pool over cluster, when operating in connection per operation mode.

  Parameters:
    `name` - The cube view name.
    `useConnPool` - true to use connection pool if available.
    `connPerOp` - true for connection per operation. false for connection per session.
    `useCluster` - true to use cluster if available.
    `readOnly` - true if to open in read only mode.
  Returns:
    The cube view.
  Throws:
    `EssException` - if an error occurs.

### getOpenCubeViews

    public IEssIterator getOpenCubeViews()
                                  throws EssException

  Gets the list of open cube views.

  Returns:
    The list of open cube views.
  Throws:
    `EssException` - if an error occurs..

### report

    public java.lang.String report(java.lang.String reportSpec,
                                   boolean output,
                                   boolean lockForUpdate)
                            throws EssException

  Sends a report specification to the active database as a single string. The report data can either be output, or the report specification can just be verified (if output and lockForUpdate are set to false) and any errors returned. Also, the corresponding data blocks in the database can optionally be locked by this call (lock for update). Note: For reports with large output, use the report method that returns IEssSequentialIterator, instead of this method. Usage example: String output = report("IDESC Year !", true, false);

  Parameters:
    `reportSpec` - The report script as a single string.
    `output` - If true, data is output from the server, according to the specified report. If false, no data is output.
    `lockForUpdate` - If true, all blocks which are accessed by the report specification are locked for update. If false, no blocks are locked.
  Returns:
    The report output.
  Throws:
    `EssException` - if an error occurs.

### report

    public java.lang.String report(boolean output,
                                   boolean lockForUpdate,
                                   java.lang.String reportFileName,
                                   boolean isLocalFile)
                            throws EssException

  Sends a report specification to this active cube from a file. The report data can either be output, or the report specification can just be verified (if output and lockForUpdate are set to false) and any errors returned. Also, the corresponding data blocks in the cube can optionally be locked by this call (lock for update). Note: For reports with large output, use the report method that returns IEssSequentialIterator, instead of this method. Usage example: String output = report(true, false, "Top", false);

  Parameters:
    `output` - If true, data is output from the server, according to the specified report. If false, no data is output.
    `lockForUpdate` - If true, all blocks which are accessed by the report specification are locked for update. If false, no blocks are locked.
    `reportFileName` - The name of the report specification file. Specify the full path name for local file. Specify just the file name without the extension for server based files.
    `isLocalFile` - true if the file is located in the JAPI client machine. false if the file is located in the olap server database directory.
  Returns:
    The report output.
  Throws:
    `EssException` - if an error occurs.

### report

    public IEssSequentialIterator report(java.lang.String reportSpecOrFileName,
                                         boolean isFileName,
                                         boolean isLocalFile,
                                         boolean output,
                                         boolean lockForUpdate)
                                  throws EssException

  Sends a report specification to the active database as a single string or from a file. The report data can either be output, or the report specification can just be verified (if output and lockForUpdate are set to false) and any errors returned. Also, the corresponding data blocks in the database can optionally be locked by this call (lock for update). Note: Make sure to iterate through all the results before invoking any other method. Usage example: IEssSequentialIterator output = report("Top", true, false, true, false); String part; while ((part = output.getNextString()) != null) System.out.print(part);

  Parameters:
    `reportSpecOrFileName` - The report script as a single string or a file name holding the report.
    `isFileName` - true if the reportSpecOrFileName parameter contains a file name. false if it contains the report specification itself.
    `isLocalFile` - true if the file is located in the JAPI client machine. false if the file is located in the olap server database directory.
    `output` - If true, data is output from the server, according to the specified report. If false, no data is output.
    `lockForUpdate` - If true, all blocks which are accessed by the report specification are locked for update. If false, no blocks are locked.
  Returns:
    The report output iterator.
  Throws:
    `EssException` - if an error occurs.

### calculate

    public void calculate(java.lang.String calcScript,
                          boolean syntaxCheckOnly)
                   throws EssException

  Sends and optionally executes a calc script against this active cube as a single string. The calculation can either be performed, or the calc script can just be verified and any errors returned.

  Parameters:
    `calcScript` - The calc script as a single string.
    `syntaxCheckOnly` - true if to perform syntax check only.
  Throws:
    `EssException` - if an error occurs.

### calculate

    public void calculate()
                   throws EssException

  Executes the default calculation for this cube.

  Throws:
    `EssException` - if an error occurs.

### calculate

    public void calculate(boolean syntaxCheckOnly,
                          java.lang.String calcFileNamePrefix)
                   throws EssException

  Executes a calc script against the active database from a file. The calculation can either be performed, or the calc script can just be verified and any errors returned.

  Parameters:
    `syntaxCheckOnly` - true if to perform syntax check only.
    `calcFileNamePrefix` - The calc script file name's prefix. This file should be located in the olap server's application/cube directory, with extension '.csc'. For eq, if the file name is calcall.csc, you should pass "calcall" to this param.
  Throws:
    `EssException` - if an error occurs.

### getAliasTableNames

    public java.lang.String[] getAliasTableNames()
                                          throws EssException

  Gets all the alias table names in this cube.

  Returns:
    The alias table names.
  Throws:
    `EssException` - if an error occurs.

### loadAliasTable

    public void loadAliasTable(java.lang.String aliasTableName,
                               java.lang.String fileName)
                        throws EssException

  Loads an alias table for the active database from a structured text file.

  Parameters:
    `aliasTableName` - The name of the alias table to load.
    `fileName` - The full path name of the structured alias names file on the server.
  Throws:
    `EssException` - if an error occurs.

### getAliasTableName

    public java.lang.String getAliasTableName()
                                       throws EssException

  Gets the active alias table name from the active database for a user.

  Returns:
    aliasTableName The name of active alias table.
  Throws:
    `EssException` - if an error occurs.

### setAliasTableName

    public void setAliasTableName(java.lang.String aliasTableName)
                           throws EssException

  Sets the active alias table in the active database for a user.

  Returns:
    aliasTableName The name of the alias table to set active.
  Throws:
    `EssException` - if an error occurs.

### getAliasTableEntries

    public java.lang.String[][] getAliasTableEntries(java.lang.String aliasTableName)
                                              throws EssException

  Gets the contents of the specified alias table in the active database.

  Returns:
    The alias table entries in the following order: [0][0] - first member name, [0][1] - alias name for first member, [1][0] - second member name, [1][1] - alias name for second member, and so on.
  Throws:
    `EssException` - if an error occurs.

### deleteAliasTable

    public void deleteAliasTable(java.lang.String aliasTableName)
                          throws EssException

  Removes an alias table from the active database.

  Parameters:
    `aliasTableName` - The name of the alias table to remove.
  Throws:
    `EssException` - if an error occurs.

### deleteAllAliasTables

    public void deleteAllAliasTables()
                              throws EssException

  Clears all alias tables for the active cube.

  Throws:
    `EssException` - if an error occurs.

### isActive

    public boolean isActive()
                     throws EssException

  Checks if this cube is currently active for the instance of the IEssOlapServer object (which is parent of parent to this object).

  Returns:
    true if this cube is currently active.
  Throws:
    `EssException` - if an error occurs.

### setActive

    public void setActive()
                   throws EssException

  Sets this cube active for the instance of the IEssOlapServer object (which is parent of parent to this object).

  Throws:
    `EssException` - if an error occurs.

### clearActive

    public void clearActive()
                     throws EssException

  Clears the currently active application and cube for the instance of the IEssOlapServer object (which is parent of parent to this object).

  Throws:
    `EssException` - if an error occurs.

### clearAllData

    public void clearAllData()
                      throws EssException

  Clears all loaded data in the active cube.

  Throws:
    `EssException` - if an error occurs.

### validateCube

    public void validateCube(java.lang.String errLogFileName)
                      throws EssException

  Checks the cube for data integrity. Example usage: validateCube("errlog");

  Parameters:
    `errLogFileName` - Error log file name, to be placed in the app\cube directory in the olap server.
  Throws:
    `EssException` - if an error occurs.

### start

    public void start()
               throws EssException

  Starts/Loads a cube within an Application on the server.

  Throws:
    `EssException` - if an error occurs.

### stop

    public void stop()
              throws EssException

  Stops/Unloads a cube within an application on the server.

  Throws:
    `EssException` - if an error occurs.

### getNoteOfTheDay

    public java.lang.String getNoteOfTheDay()
                                     throws EssException

  Gets this cube's note-of-the-day message. The note-of-the-day message may be used to display useful information about the cube (whether data has been loaded, when it was last calculated, etc.) to users before they connect to the cube. The cube note string will always be less than 64 Kbytes in length.

  Returns:
    The note-of-the-day message.
  Throws:
    `EssException` - if an error occurs.

### setNoteOfTheDay

    public void setNoteOfTheDay(java.lang.String note)
                         throws EssException

  Sets this cube's note-of-the-day message. The note-of-the-day message may be used to display useful information about the cube (whether data has been loaded, when it was last calculated, etc.) to users before they connect to the cube. The cube note string will always be less than 64 Kbytes in length.

  Parameters:
    `note` - The note-of-the-day message.
  Throws:
    `EssException` - if an error occurs.

### getDefaultCalcScript

    public java.lang.String getDefaultCalcScript()
                                          throws EssException

  Gets the default calc script for this active cube.

  Returns:
    The default calc script.
  Throws:
    `EssException` - if an error occurs.

### setDefaultCalcScript

    public void setDefaultCalcScript(boolean isFileName,
                                     java.lang.String defCalcScriptOrFile)
                              throws EssException

  Sets the default calc script for this active cube.

  Parameters:
    `isFileName` - true if defCalcScriptOrFile is a file name, false if defCalcScriptOrFile is the calc script.
    `defCalcScriptOrFile` - The default calc script or the file that contains calc script.
  Throws:
    `EssException` - if an error occurs.

### queryMembers

    public java.lang.String queryMembers(java.lang.String mbrQuery)
                                  throws EssException

  Performs a report-style query to list a selection of cube member information.

  Parameters:
    `mbrQuery` - The member query string. A query string is a command similar to a report specification.
  Returns:
    The resultset containing cube member information.
  Throws:
    `EssException` - if an error occurs.

### isValidMember

    public boolean isValidMember(java.lang.String mbrName)
                          throws EssException

  Checks if a string is a valid member name within the active cube outline.

  Parameters:
    `mbrName` - The member name to be verified.
  Returns:
    true if the member is valid.
  Throws:
    `EssException` - if an error occurs.

### getMember

    public IEssMember getMember(java.lang.String mbrName)
                         throws EssException

  Gets the member. Note: For IEssMember object obtained using IEssCube.getMember(), only the following methods can be used from IEssMember: getName(), isDimensionRootMember(), getLevelNumber(), getGenerationNumber(), getUnaryConsolidationType(), getDimensionName(), getParentMemberName(), getFirstChildMemberName(), getPreviousSiblingMemberName(), getNextSiblingMemberName(), getMemberNumber(), getDimensionNumber(). The rest of the methods in IEssMember will throw an exception.

  Parameters:
    `mbrName` - The member name.
  Returns:
    The member.
  Throws:
    `EssException` - if an error occurs.

### getMemberCalc

    public java.lang.String[] getMemberCalc(java.lang.String mbrName)
                                     throws EssException

  Gets the calc equation for a specific member in the active cube outline.

  Returns:
    The calc equations. String[0] - member calc string, String[1] - member last calc string. The value is "" for default rollup.
  Throws:
    `EssException` - if an error occurs.

### getDimension

    public IEssDimension getDimension(java.lang.String dimName)
                               throws EssException

  Gets the dimension. Note: For IEssDimension object obtained using IEssCube.getDimension(), only the following methods can be used from IEssDimension: getName(), getDimensionNumber(), getType(), getTag(), getDeclaredSize(), getActualSize(), getAttributeDimensionDataType(). The rest of the methods in IEssDimension will throw an exception.

  Parameters:
    `dimName` - The dimension name.
  Returns:
    The dimension.
  Throws:
    `EssException` - if an error occurs.

### getDimensions

    public IEssIterator getDimensions()
                               throws EssException

  Gets the list of dimensions.

  Returns:
    The dimensions.
  Throws:
    `EssException` - if an error occurs.

### buildDimension

    public void buildDimension(java.lang.String rulesFileName,
                               int rulesFileType,
                               java.lang.String dataFileName,
                               int dataFileType,
                               java.lang.String errOutFile)
                        throws EssException

  Allows the addition or removal of members from the outline in the active cube from a data file and rules file.

  Parameters:
    `rulesFileName` - The rules file name.
    `rulesFileType` - The rules file type (IEssOlapFileObject.TYPE_*).
    `dataFileName` - The data file name.
    `dataFileType` - The data file type (IEssOlapFileObject.TYPE_*).
    `errOutFile` - The error output file name.
  Throws:
    `EssException` - if an error occurs.

### getOlapFileObjects

    public IEssIterator getOlapFileObjects(int objType)
                                    throws EssException

  Gets all the olap store file objects of the types specified.

  Parameters:
    `objType` - The object types. Values from IEssOlapFileObject.TYPE_*.
  Returns:
    The OLAP store file objects (each of type IEssOlapFileObject).
  Throws:
    `EssException` - if an error occurs.

### getOlapFileObject

    public IEssOlapFileObject getOlapFileObject(int objType,
                                                java.lang.String objName)
                                         throws EssException

  Gets information about a specified olap store file object.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
  Returns:
    The olap file object information.
  Throws:
    `EssException` - if an error occurs.

### copyOlapFileObjectFromServer

    public void copyOlapFileObjectFromServer(int objType,
                                             java.lang.String objName,
                                             java.lang.String clientFileName,
                                             boolean lock)
                                      throws EssException

  Copies an object from the olap server to a client file and optionally locks the server object to prevent updates by others. Example: copyOlapFileObjectFromServer(IEssOlapFileObject.TYPE_TEXT, "Act1", "C:/temp/act1.txt", false);

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
    `clientFileName` - The full path of destination file in the client.
    `lock` - Flag to control object locking. If true, the server object is locked to prevent updates by other users.
  Throws:
    `EssException` - if an error occurs.

### copyOlapFileObjectToServer

    public void copyOlapFileObjectToServer(int objType,
                                           java.lang.String objName,
                                           java.lang.String clientFileName,
                                           boolean unlock)
                                    throws EssException

  Copies an object from a client file to the olap server, and optionally unlocks the server object to allow updates by others. Example: copyOlapFileObjectToServer(IEssOlapFileObject.TYPE_TEXT, "Test", "C:/temp/test.txt", false);

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
    `clientFileName` - The full path of source file in the client.
  Throws:
    `EssException` - if an error occurs.

### lockOlapFileObject

    public void lockOlapFileObject(int objType,
                                   java.lang.String objName)
                            throws EssException

  Locks an object on the server to prevent other users from updating it.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
  Throws:
    `EssException` - if an error occurs.

### unlockOlapFileObject

    public void unlockOlapFileObject(int objType,
                                     java.lang.String objName)
                              throws EssException

  Unlocks a locked object on the server.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
  Throws:
    `EssException` - if an error occurs.

### createOlapFileObject

    public void createOlapFileObject(int objType,
                                     java.lang.String objName)
                              throws EssException

  Creates a new olap file object.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
  Throws:
    `EssException` - if an error occurs.

### deleteOlapFileObject

    public void deleteOlapFileObject(int objType,
                                     java.lang.String objName)
                              throws EssException

  Delte an existing olap file object.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
  Throws:
    `EssException` - if an error occurs.

### renameOlapFileObject

    public void renameOlapFileObject(int objType,
                                     java.lang.String objName,
                                     java.lang.String newObjName)
                              throws EssException

  Renames an existing olap file object.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
  Throws:
    `EssException` - if an error occurs.

### copyOlapFileObject

    public void copyOlapFileObject(int objType,
                                   java.lang.String objName,
                                   java.lang.String destAppName,
                                   java.lang.String destCubeName,
                                   java.lang.String destObjName)
                            throws EssException

  Copies an olap file object.

  Parameters:
    `objType` - The object type. Value from IEssOlapFileObject.TYPE_*.
    `objName` - The object name.
    `destAppName` - The destination application name.
    `destCubeName` - The destination cube name.
    `destObjName` - The destination object name.
  Throws:
    `EssException` - if an error occurs.

### archiveBegin

    public void archiveBegin(java.lang.String archFileName)
                      throws EssException

  Prepares this cube for archive by setting read-only status.

  Parameters:
    `archFileName` - The name of the file to contain archive information. This file will be created in the olap server's application/cube directory. For eg, if you invoke as archiveBegin("archfile"), a file named archfile will be created in the directory mentioned above.
  Throws:
    `EssException` - if an error occurs.

### archiveEnd

    public void archiveEnd()
                    throws EssException

  After archive, returns cube status to read-write.

  Throws:
    `EssException` - if an error occurs.

### exportData

    public void exportData(java.lang.String fileName,
                           IEssCube.EEssDataLevel dataLevel,
                           boolean columns)
                    throws EssException

  Exports this cube's data to a text file.

  Parameters:
    `fileName` - The name of the server file to contain the exported information.
    `columns` - Controls output of data blocks in column format (for creating rules files).
  Throws:
    `EssException` - if an error occurs.

### exportData

    public void exportData(java.lang.String fileName,
                           IEssCube.EEssDataLevel dataLevel,
                           short columns)
                    throws EssException

  Deprecated. Use the other exportData method.

  Throws:
    `EssException`

### loadData

    public java.lang.String[][] loadData(java.lang.String updateSpecs,
                                         int rulesObjType,
                                         java.lang.String rulesFileName,
                                         boolean syntaxCheckOnly,
                                         boolean unlockAfterUpdate,
                                         boolean abortOnError)
                                  throws EssException

  Updates data to the cube from the specified update specification string. The update data can either be stored in the cube, or just verified and any errors returned. Also, any data blocks locked for update can be unlocked by this call.

  Parameters:
    `updateSpecs` - The update specification string. For eq: "Product Jan Sales Actual Market 4444\n Product Feb Sales Actual Market 5555".
    `rulesObjType` - The rules file object type. Values from IEssOlapFileObject.TYPE_*.
    `rulesFileName` - The rules file name in the olap server. For eg, for the rules file named Data.rul in olap server's app/cube directory pass "Data". This parameter can be null for Essbase OLAP server versions 6.5.1 and after, but not before (as there is a known bug that it hangs).
    `syntaxCheckOnly` - true, if syntax check only. false, to store data.
    `unlockAfterUpdate` - true to unlock blocks after the update.
    `abortOnError` - If true, data load stops on the first error. Otherwise, data load continues.
  Returns:
    null if no error. If error, returns a two dimensional array of errors, where each dimension contains the following in that order: error string, member name, file record containing the error.
  Throws:
    `EssException` - if an error occurs.

### loadData

    public void loadData(int rulesObjType,
                         java.lang.String rulesFileName,
                         int dataObjType,
                         java.lang.String dataFileName,
                         boolean abortOnError)
                  throws EssException

  Allows the importing of data from text files to this cube. Example usage for demo/basic cube: loadData( IEssOlapFileObject.TYPE_RULES, null, IEssOlapFileObject.TYPE_TEXT, "Data", false);

  Parameters:
    `rulesObjType` - The rules file object type. Values from IEssOlapFileObject.TYPE_*.
    `rulesFileName` - The rules file name in the olap server. For eg, for the rules file named Data.rul in olap server's app/cube directory pass "Data".
    `dataObjType` - The data file object type. Values from IEssOlapFileObject.TYPE_*.
    `dataFileName` - The data file name in the olap server's app/cube directory. For eg, for the file named data.txt in olap server's app/cube directory pass "Data".
    `abortOnError` - If true import stops on the first error otherwise continues.
  Throws:
    `EssException` - if an error occurs.

### loadData

    public void loadData(boolean store,
                         boolean unlock,
                         java.lang.String updSpec)
                  throws EssException

  Updates data to cube from the specification string.

  Parameters:
    `store` - Controls storage of data. If true data is stored in the server; if false no data is stored.
    `unlock` - Controls unlocking of data blocks. If true all relevant blocks which are locked will be unlocked (after data is stored, if necessary). If false no blocks are unlocked.
    `updSpec` - The update specification as a single string.
  Throws:
    `EssException` - if an error occurs.

### getUserOrGroupAccess

    public IEssCube.EEssCubeAccess getUserOrGroupAccess(java.lang.String userOrGroupName)
                                                 throws EssException

  Gets the user or group access for this cube.

  Returns:
    The cube access.
  Throws:
    `EssException` - if an error occurs.

### setUserOrGroupAccess

    public void setUserOrGroupAccess(java.lang.String userOrGroupName,
                                     IEssCube.EEssCubeAccess access)
                              throws EssException

  Sets the user or group access for this cube.

  Parameters:
    `access` - The cube access.
  Throws:
    `EssException` - if an error occurs.

### createSecurityFilter

    public IEssCube.IEssSecurityFilter createSecurityFilter(java.lang.String filterName)
                                                     throws EssException

  Creates a security filter.

  Parameters:
    `filterName` - The filter name.
  Throws:
    `EssException` - if an error occurs.

### deleteSecurityFilter

    public void deleteSecurityFilter(java.lang.String filterName)
                              throws EssException

  Deletes a security filter.

  Parameters:
    `filterName` - The filter name.
  Throws:
    `EssException` - if an error occurs.

### getSecurityFilter

    public IEssCube.IEssSecurityFilter getSecurityFilter(java.lang.String filterName)
                                                  throws EssException

  Gets the security filter.

  Parameters:
    `filterName` - The filter name.
  Returns:
    The security filter.
  Throws:
    `EssException` - if an error occurs.

### getSecurityFilters

    public IEssIterator getSecurityFilters()
                                    throws EssException

  Gets all the security filters.

  Returns:
    The security filters (each of type IEssCube.IEssSecurityFilter).
  Throws:
    `EssException` - if an error occurs.

### getPerformanceStatistics

    public java.lang.String getPerformanceStatistics()
                                              throws EssException

  Gets the performance statistics. Usage example: resetPerformanceStatisticsTables(4, 7); String stats = getPerformanceStatistics();

  Returns:
    The performance statistics.
  Throws:
    `EssException` - if an error occurs.

### resetPerformanceStatisticsTables

    public void resetPerformanceStatisticsTables(int persistence,
                                                 int scope)
                                          throws EssException

  Resets values in the performance statistics tables to zero.

  Parameters:
    `persistence` - One of the following values indicating the persistence of the set of tables to be reset: 0: Reset short term tables only, 1: Reset short and medium term tables, 2: Reset short, medium and long term tables, 3: Disable performance statistics gathering, 4: Enable performance statistics gathering.
    `scope` - One of the following values indicating the scope of the set of tables to be reset: 1: Reset thread-based tables only, 2: Reset cube-based tables only, 4: Reset server-based tables only, 7: Reset all tables.
  Throws:
    `EssException` - if an error occurs.

### createLocationAlias

    public void createLocationAlias(java.lang.String aliasName,
                                    java.lang.String hostName,
                                    java.lang.String appName,
                                    java.lang.String cubeName,
                                    java.lang.String userName,
                                    java.lang.String password)
                             throws EssException

  Creates a new location alias; that is, it maps an alias name string to an ordered set of the following five strings: host name, application name, database name, user login name, and user password.

  Parameters:
    `aliasName` - The location alias name.
    `hostName` - The target host.
    `appName` - The target application name.
    `cubeName` - The target cube name.
    `userName` - The user name.
    `password` - The user password.
  Throws:
    `EssException` - if an error occurs.

### deleteLocationAlias

    public void deleteLocationAlias(java.lang.String aliasName)
                             throws EssException

  Deletes an existing location alias.

  Parameters:
    `aliasName` - The location alias name.
  Throws:
    `EssException` - if an error occurs.

### getLocationAliases

    public java.lang.String[][] getLocationAliases()
                                            throws EssException

  Gets a list of all currently defined location aliases, together with lists of the host names, application names, database names and user names to which the location aliases are mapped.

  Returns:
    Two dimensional array of strings where each row contains the following in the specified order: aliasName, hostName, appName, cubeName, userName. i.e [0][0] is aliasName, [0][1] is hostName, [0][2] is appName, [0][3] is cube name, [0][4] is user name, [1][0] is aliasName, [1][1] is hostName and so on.
  Throws:
    `EssException` - if an error occurs.

### getAssociatedAttributes

    public java.lang.String[][] getAssociatedAttributes(java.lang.String baseMbrName,
                                                        java.lang.String attrDimName)
                                                 throws EssException

  Gets the attribute members associated with a given base member.

  Parameters:
    `baseMbrName` - The base member name.
    `attrDimName` - The attribute dimension name (optional).
  Returns:
    Two dimensional array of strings where each row contains the following in the specified order: attribute member name, attribute dimension name, attribute value data type (One of the following values for an attribute dimension or zero-level attribute member: bool, string, datetime, double. One of the following values for an attribute member, but not an attribute dimension: none, auto), string representation of attribute value (for bool, string, datetime, double data types). i.e [0][0] is attribute member name, [0][1] is attribute dimension name, [0][2] is attribute value data type, [0][3] is string representation of attribute value, [1][0] is attribute member name, [1][1] is attribute dimension name and so on.
  Throws:
    `EssException` - if an error occurs.

### setSpanRelationalSource

    public void setSpanRelationalSource(boolean span)
                                 throws EssException

  Sets (or clears) an intenal boolean field informing essbase that pertinent data exists (or not exists) in an attached relational store. When operations like member selection are performed essbase looks at this internal boolean field and spans (or not) to the relational source. By default it is false.

  Parameters:
    `span` - true to span to relational source.
  Throws:
    `EssException` - if an error occurs.

### isSpanRelationalSource

    public boolean isSpanRelationalSource()
                                   throws EssException

  Checks if span relational source flag is set or not.

  Returns:
    true if flag is set.
  Throws:
    `EssException` - if an error occurs.

### verifyFormula

    public boolean verifyFormula(java.lang.String formulaName)
                          throws EssException

  Verified the formula.

  Parameters:
    `formulaName` - The name of the formula.
  Returns:
    true if formula syntax is correct.
  Throws:
    `EssException` - if an error occurs.

### getCalcFunctions

    public java.lang.String getCalcFunctions()
                                      throws EssException

  Gets all calculator functions available in the application. It includes all native functions and all user defined functions (UDFs) and user defined macros (CDMs).

  Returns:
    The calc functions in xml format.
  Throws:
    `EssException` - if an error occurs.

### createCDF

    public void createCDF(java.lang.String appName,
                          java.lang.String name,
                          java.lang.String javaSpec,
                          int options,
                          java.lang.String spec,
                          java.lang.String comment)
                   throws EssException

  Creates custom defined function.

  Throws:
    `EssException`

### deleteCDF

    public void deleteCDF(java.lang.String appName,
                          java.lang.String name)
                   throws EssException

  Deletes custom defined function.

  Throws:
    `EssException`

### createCDM

    public void createCDM(java.lang.String appName,
                          java.lang.String name,
                          java.lang.String definition,
                          java.lang.String signature,
                          java.lang.String spec,
                          java.lang.String comment)
                   throws EssException

  Creates custom defined macro.

  Throws:
    `EssException`

### deleteCDM

    public void deleteCDM(java.lang.String appName,
                          java.lang.String name)
                   throws EssException

  Deletes custom defined macro.

  Throws:
    `EssException`

### getCDM_CDF

    public java.lang.String[][] getCDM_CDF(java.lang.String appName)
                                    throws EssException

  Gets custom defined functions/macros.

  Throws:
    `EssException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD